<template>
    <div class="language">
        <span
            @click="select = !select"
            class="language__item"
        >
            {{ `${$t('language')} ${$t('name')}` }}
        </span>
        <div
            v-if="languageList && languageList.length"
            v-show="select"
            class="language__select-block"
        >
            <ul
                class="language__list"
            >
                <li
                    v-for="({ key, name }, index) in languageList"
                    :key="`${key}-${index}`"
                    :class="[
                        'language__list-item',
                        {
                            'language__list-item--active':  language === key
                        }
                    ]"
                    @click="changeLanguage(key)"
                >
                    {{ name }}
                </li>
            </ul>
        </div>
    </div>
</template>

<script>
import LANGUAGE from 'const/language';

export default {
    name: 'footer-language',
    data() {
        return {
            select: false
        };
    },
    computed: {
        languageList() {
            return LANGUAGE;
        },
        ...mapState('localization', ['language'])
    },
    methods: {
        changeLanguage(lang) {
            this.setLanguage(lang);
            this.$i18n.i18next.changeLanguage(lang);
            this.select = !this.select;
        },
        ...mapActions('localization', ['setLanguage'])
    }
}
</script>

<style lang="sass">
    @import '~blocks/language';
</style>
